## org.apache.batik.css.engine
Class CSSEngine.CSSNavigableDocumentHandler

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.CSSNavigableDocumentHandler

All Implemented Interfaces:
  CSSEngine.MainPropertyReceiver, CSSNavigableDocumentListener

Enclosing class:
  CSSEngine

    protected class CSSEngine.CSSNavigableDocumentHandler

extends java.lang.Object
implements CSSNavigableDocumentListener, CSSEngine.MainPropertyReceiver

To handle mutations of a CSSNavigableDocument.

Field Summary
`protected StyleDeclaration` `declaration` The StyleDeclaration to use from the MainPropertyReceiver.
`protected boolean[]` `mainPropertiesChanged` Array to hold which properties have been changed by a call to setMainProperties.

Constructor Summary
`protected` `CSSEngine.CSSNavigableDocumentHandler()`

Method Summary
`void` `attrModified(org.w3c.dom.Element e, org.w3c.dom.Attr attr, short attrChange, java.lang.String prevValue, java.lang.String newValue)` An attribute has changed in the CSSNavigableDocument.
`void` `characterDataModified(org.w3c.dom.Node text)` Character data in the CSSNavigableDocument tree has been modified.
`void` `nodeInserted(org.w3c.dom.Node newNode)` A node has been inserted into the CSSNavigableDocument tree.
`void` `nodeToBeRemoved(org.w3c.dom.Node oldNode)` A node is about to be removed from the CSSNavigableDocument tree.
`void` `overrideStylePropertyChanged(CSSStylableElement elt, java.lang.String name, java.lang.String val, java.lang.String prio)` A property in the override style declaration has been changed.
`void` `overrideStylePropertyRemoved(CSSStylableElement elt, java.lang.String name)` A property in the override style declaration has been removed.
`void` `overrideStyleTextChanged(CSSStylableElement elt, java.lang.String text)` The text of the override style declaration for this element has been modified.
`void` `setMainProperty(java.lang.String name, Value v, boolean important)` Sets a main property value in response to a shorthand property being set.
`void` `subtreeModified(org.w3c.dom.Node rootOfModifications)` A subtree of the CSSNavigableDocument tree has been modified in some way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainPropertiesChanged

    protected boolean[] mainPropertiesChanged

  Array to hold which properties have been changed by a call to setMainProperties.

### declaration

    protected StyleDeclaration declaration

  The StyleDeclaration to use from the MainPropertyReceiver.

Constructor Detail

### CSSEngine.CSSNavigableDocumentHandler

    protected CSSEngine.CSSNavigableDocumentHandler()

Method Detail

### nodeInserted

    public void nodeInserted(org.w3c.dom.Node newNode)

  A node has been inserted into the CSSNavigableDocument tree.

  Specified by:
    `nodeInserted` in interface `CSSNavigableDocumentListener`

### nodeToBeRemoved

    public void nodeToBeRemoved(org.w3c.dom.Node oldNode)

  A node is about to be removed from the CSSNavigableDocument tree.

  Specified by:
    `nodeToBeRemoved` in interface `CSSNavigableDocumentListener`

### subtreeModified

    public void subtreeModified(org.w3c.dom.Node rootOfModifications)

  A subtree of the CSSNavigableDocument tree has been modified in some way.

  Specified by:
    `subtreeModified` in interface `CSSNavigableDocumentListener`

### characterDataModified

    public void characterDataModified(org.w3c.dom.Node text)

  Character data in the CSSNavigableDocument tree has been modified.

  Specified by:
    `characterDataModified` in interface `CSSNavigableDocumentListener`

### attrModified

    public void attrModified(org.w3c.dom.Element e,
                             org.w3c.dom.Attr attr,
                             short attrChange,
                             java.lang.String prevValue,
                             java.lang.String newValue)

  An attribute has changed in the CSSNavigableDocument.

  Specified by:
    `attrModified` in interface `CSSNavigableDocumentListener`

### overrideStyleTextChanged

    public void overrideStyleTextChanged(CSSStylableElement elt,
                                         java.lang.String text)

  The text of the override style declaration for this element has been modified.

  Specified by:
    `overrideStyleTextChanged` in interface `CSSNavigableDocumentListener`

### overrideStylePropertyRemoved

    public void overrideStylePropertyRemoved(CSSStylableElement elt,
                                             java.lang.String name)

  A property in the override style declaration has been removed.

  Specified by:
    `overrideStylePropertyRemoved` in interface `CSSNavigableDocumentListener`

### overrideStylePropertyChanged

    public void overrideStylePropertyChanged(CSSStylableElement elt,
                                             java.lang.String name,
                                             java.lang.String val,
                                             java.lang.String prio)

  A property in the override style declaration has been changed.

  Specified by:
    `overrideStylePropertyChanged` in interface `CSSNavigableDocumentListener`

### setMainProperty

    public void setMainProperty(java.lang.String name,
                                Value v,
                                boolean important)

  Sets a main property value in response to a shorthand property being set.

  Specified by:
    `setMainProperty` in interface `CSSEngine.MainPropertyReceiver`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.